# EvChild::createStopped

(PECL ev >= 0.2.0)

EvChild::createStopped — Create instance of a stopped EvCheck watcher

### Description

final public static EvChild::createStopped ( int `$pid` , bool `$trace` , callable `$callback` [, mixed `$data` [, int `$priority` ]] ) : object

The same as EvChild::__construct() , but doesn't start the watcher automatically.

### Parameters

`pid`

  The same as for EvChild::__construct()

`trace`

  The same as for EvChild::__construct()

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

### See Also

- EvChild::__construct() - Constructs the EvChild watcher object
- EvLoop::child() - Creates EvChild object associated with the current event loop